#!/bin/sh
# This script is usually called automatically by a udev rule

NAME="mvpci"

#DEBUG_FILE="/tmp/debug_make_device.txt"
#rm -f ${DEBUG_FILE}

NUM_CAMERAS=$(ls -l /sys/kernel/matrix-vision/camera_reset* | wc -l)
MAX_MINOR=$((${NUM_CAMERAS}-1))
MINOR_SEQ=$(seq 0 ${MAX_MINOR})

#echo "Called ${0} with parameter ${1}. Number of cameras = ${NUM_CAMERAS}" >> ${DEBUG_FILE}

if [ "x${ACTION}" = "xremove" ]; then
#    echo "Removing /dev/${NAME}*" >> ${DEBUG_FILE}
    rm -f /dev/${NAME}*
fi

for MINOR in ${MINOR_SEQ}; do
    DEVICE=/dev/${NAME}${MINOR}
    if [ "x${ACTION}" = "xadd" ]; then
        rm -f ${DEVICE}
        MAJOR=`cat /proc/devices | grep ${NAME} | awk '{print $1}'`
#        echo "Creating ${DEVICE} ${MAJOR} ${MINOR}" >> ${DEBUG_FILE}
        mknod ${DEVICE} c ${MAJOR} ${MINOR}
        chmod 0666 ${DEVICE}
    else
#        echo "The action: ${ACTION} is not handled by this script (${0}) - ignoring." >> ${DEBUG_FILE}
        exit 1
    fi
done
# wait a bit until udev does its stuff above
sleep 1
for MINOR in ${MINOR_SEQ}; do
    if [ "x${ACTION}" = "xadd" ]; then
        CAMERA_RESET=/sys/kernel/matrix-vision/camera_reset${MINOR}
#        echo "Camera reset is ${CAMERA_RESET}" >> ${DEBUG_FILE}
        if [ -e ${CAMERA_RESET} ]; then
#            echo "Change permissions on ${CAMERA_RESET}" >> ${DEBUG_FILE}
            chmod 0222 ${CAMERA_RESET}
        fi
    fi
done
exit 0



